% Step test for Model 3 - CSTR with reversible rxn & no energy balance
% Created by John Hedengren

global u

% Steady State Initial Conditions for the States
Ca_ss = 0.98473386906457;
Cb_ss = 0.01161934114279;
Cc_ss = 0.00364678979264;
x_ss = [Ca_ss;Cb_ss;Cc_ss];

% Steady State Initial Condition for the Control
u_ss = 300;

% Open Loop Step Change
u = 270;

% Final Time (sec)
tf = 5;

[t,x] = ode15s('cstr3',[0 tf],x_ss);

% Parse out the state values
Ca = x(:,1);
Cb = x(:,2);
Cc = x(:,3);

% Plot the results
figure(1);
plot(t,Ca);

figure(2);
plot(t,Cb,t,Cc);